<?php
/**
 * Structure of pages and blocks.
 *
 * @package Flat101\Security
 */

use Flat101\Security\Model\Block\CleanWpHeadBlock;
use Flat101\Security\Model\Block\CommentBlock;
use Flat101\Security\Model\Block\EmojiBlock;
use Flat101\Security\Model\Block\FileEditBlock;
use Flat101\Security\Model\Block\FilterAccessIpBlock;
use Flat101\Security\Model\Block\ForceSSLBlock;
use Flat101\Security\Model\Block\LoginOptimizationsBlock;
use Flat101\Security\Model\Block\RemoveFeedsBlock;
use Flat101\Security\Model\Block\RestApiBlock;
use Flat101\Security\Model\Block\SecurityHeadersBlock;
use Flat101\Security\Model\Block\XmlRpcBlock;
use Flat101\Security\Model\Entity\Page;

return array(

	// Main Page.
		new Page(
			'Flat 101 🚀 Security',
			__( 'Main', 'flat101-security' ),
			'main_options',
			array(
				new CleanWpHeadBlock(),
				new LoginOptimizationsBlock(),
				new FileEditBlock(),
				new EmojiBlock(),
				new CommentBlock(),
			)
		),

	// Network Page.
		new Page(
			__( 'Network Options', 'flat101-security' ),
			__( 'Network', 'flat101-security' ),
			'network_options',
			array(
				new SecurityHeadersBlock(),
				new FilterAccessIpBlock(),
				new ForceSSLBlock(),
				new RestApiBlock(),
				new XmlRpcBlock(),
				new RemoveFeedsBlock(),
			)
		),
);
